Packages - Bug #2834

[cups-filters][tokyocabinet]: Signature is unkown trust
2020-07-11 10:48 AM - Anonymous

Status: fixed % Done: 100%
Priority: bug

Assignee: bill-auger

Category:

Description

| tried to install packages cups and cups-pdf. The dependency cups-filters could not be installed:

error: cups—-filters: signature from "Andreas Grapentin <andreas@grapentin.org>" is unknown trust
File /var/cache/pacman/pkg/cups—filters-1.27.5-1.parabola2-x86_64.pkg.tar.xz is corrupted (

invalid or corrupted package (PGP signature)).

Do you want to delete it? [Y/n]

error: failed to commit transaction (invalid or corrupted package (PGP signature))

I refreshed both the whole keyring and the particular key from that maintainer following step 1 in the Wiki to no avail.

Related issues:
Related to Packages - Bug #2931: [parabola-hackers]: keys are "unknown trust"... fixed

History

#1 - 2020-07-11 11:39 AM - bill-auger

andreas has just extended his key expiratiweeoeon - the keyring will be rebuilt soon

to install hos packages today you can run this command:

$ sudo pacman-key —--refresh-keys andreas@grapentin.org

note that the email address is taken from the error message - this is the general solution whenever you see an error of that form
#2 - 2020-07-11 11:47 AM - bill-auger

- Assignee set to oaken-source

- Status changed from unconfirmed to in progress

#3 - 2020-07-11 03:25 PM - Anonymous

Thanks, refreshing Andreas’ key again worked.

#4 - 2020-07-12 01:18 AM - bill-auger

- Assignee changed from oaken-source to bill-auger

it does not work consistently though - the updated key has not yet propagated to all key-servers - it may be another day until the keyring has the
updated key - i rebuilt cups-filters instead, to satisfy this ticket

#5 - 2020-07-12 01:19 AM - bill-auger

- Status changed from in progress to fixed

#6 - 2020-07-12 11:57 AM - jschwart

I'm running into this issue as well. | ran the refresh keys command at least 20 times, but it's not working yet.

#7 - 2020-07-12 12:18 PM - bill-auger

jschwart -
which package exactly? - there should be no problem with cups-filters now

if it was 'licenses', i just rebuilt that one too - do let me know if there are others

#8 - 2020-07-19 11:51 PM - nona
https://wiki.parabola.nu/Parabola_Keyring

- File key added

I'm having a similar situation with tokyocabinet (from libretools). | keep getting

pacman-key —--refresh-keys andreas@grapentin.org

gpg: refreshing 1 key from hkps://hkps.pool.sks-keyservers.net

gpg: keyserver refresh failed: Operation not permitted

==> ERROR: A specified local key could not be updated from a keyserver.

| also tried with

sudo pacman-key -a /tmp/key

(key is attached).

#9 - 2020-07-20 06:49 AM - bill-auger
- Status changed from fixed to confirmed

- Subject changed from [cups-filters] Signature is unkown trust to [cups-filters][tokyocabinet]: Signature is unkown trust

‘cups-filters' is rebuilt - i will re-open this for 'tokyocabinet'

#10 - 2020-07-20 11:36 AM - bill-auger

- Status changed from confirmed to fixed

tokyocabinet is rebuilt

#11 - 2020-07-25 02:38 AM - nona
- % Done changed from 0 to 100

Thank you, bill! I was able to install “libretools' (and “tokyocabinet').

#12 - 2020-11-15 08:30 PM - bill-auger

- Related to Bug #2931: [parabola-hackers]: keys are "unknown trust" after expiry/renewal added

Files

key 12.6 KB 2020-07-19 nona
